/* Global Styles */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font-size: 62.5%;
}

body {
    font-family: "Poppins",sans-serif;
}

h1 {
    font-size: 2.6rem;
}

li,button,label,input,p {
    font-size: 2rem;
}
h2 {
    font-size: 4.8rem;
}
h3 {
    font-size: 3rem;
    font-weight: 400;
}
h4, h5 {
    font-size: 2.8rem;
}
a {
    color: white;
    text-decoration: none;
}
button {
    padding: 2rem 6rem;
    background: #4c6e97;
    border: none;
    color: white;
    font-size: 1.8rem;
    cursor: pointer;
    border-radius: 10px;
    transition: background 0.5s ease-in-out;
}

button:hover {
    background: #27394e;
}

/* Nav Section with Hero */

.main-head {
    background: #131c27;
    color: white;
}

nav {
    padding: 2rem;
    min-height: 10vh;
    display: flex;
    width: 90%;
    margin: auto;
    align-items: center;
    flex-wrap: wrap;
}

nav ul {
    display: flex;
    list-style: none;
    flex: 1 1 40rem;
    justify-content: space-around;
    align-items: center;
} 

#logo {
     flex: 2 1 40rem;
     font-family: "Pattaya", sans-serif;
     font-weight: 400;
}

.hero {
    background: linear-gradient(rgba(0,0,0,0.5),transparent),url("/img/landing-page.jpg");
    min-height: 90vh;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: white;
    text-align: center;
}

.hero h3 {
    padding: 5rem;
}


/* locations section */

#locations {
    min-height: 100vh;
    background: linear-gradient(rgba(0,0,0,0.5),transparent),url('/img/new-york-page.png');
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    position: relative;
    overflow: hidden;
}

.locations-head {
    width: 90%;
    margin: auto;
}

.locations-head h2 {
    padding: 1rem 0rem;
    text-decoration: underline;
}

.locations-head h3 {
    padding: 4rem 0rem;
} 

.cloud {
    position: absolute;
    top: 0%;
    right: 0%;
}

.moving-cloud-1 {
    animation: cloudAnimation 3s infinite alternate ease-in-out;
}

.moving-cloud-2 {
    top:20%;
    z-index: -1;
    opacity: 0.5;
    animation: cloudAnimation 3.5s infinite alternate ease-in-out;
}


@keyframes cloudAnimation {
    from {
        transform: translate(10%,-10%);
    }
    to {
        transform: translate(0%,0%);
    }
}

/* Benefits section */
.benefits-head {
    background: #343c44;
    padding: 3rem;
    min-height: 30vh;
    display: flex;
    flex-direction:column ;
    justify-content: center;
    align-items: center;
    color: white;
    text-align: center;
}

.benefits-head h3 {
    padding: 1rem;
}

.cards {
    width: 90%;
    margin: auto;
    display: flex;
    min-height: 70vh;
    align-items: center;
    flex-wrap: wrap;
}

.card {
    text-align: center;
    flex: 1 1 25rem;
    min-height: 40vh;
    margin: 2rem 5rem;
    box-shadow: 0px 10px 10px rgba(0,0,0,0.1),0px 20px 20px rgba(0,0,0,0.1);
}

.cards img {
    max-width: 15%;
    margin: 2rem;
}

.card h4, .card p {
    padding: 1rem;
}

.card-icon {
    background: #343c44;;
}

#contact {
    min-height: 100vh;
    background: linear-gradient(rgba(0,0,0,0.5),transparent),url('/img/contact-mountain.png');
    background-size: cover;
    background-repeat: no-repeat;
    display: flex;
    align-items: center;
    justify-content: center;
}

.form-wrapper {
    background: rgba(19,28,39,0.8);
    width: 60%;
    color: white;
    border-radius: 20px;
}

.form-head {
    text-align: center;
    padding: 4rem;
}

.name-form,.email-form {
    padding: 3rem;
    text-align: center;
}

.form-wrapper label {
    margin: 0rem 3rem;
}

.form-wrapper button {
    width: 100%;
    padding: 2rem;
    margin-top: 8rem;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
}

.form-wrapper input {
    padding: 1rem 3rem;
}

footer {
    color: white;
    background: rgba(19,28,39,1);
}

.footer-wrapper {
    display: flex;
    padding: 2rem;
    width: 90%;
    margin: auto;
    align-items: center;
    min-height: 10vh;
    flex-wrap: wrap;
}

footer h5 {
    flex: 1 1 40rem;
}

footer ul {
    display: flex;
    list-style: none;
    flex: 1 1 40rem;   
    justify-content: space-between;
    align-items: center;
}
/* Media queries */
@media screen and (max-width:932px) {
    html {
        font-size: 45%;
    }
    
    nav {
        text-align: center;
    }
    #logo {
        padding: 2rem;
    }

    .cloud {
        height: 40rem;
    }
    .moving-cloud-1{
        z-index: -1;
    }
    .moving-cloud-2{
        z-index: -2;
    }

    .form-wrapper {
        width: 100%;
    }

    footer {
        text-align: center;
    }

    footer h5 {
        padding-bottom: 3rem;
    }
     
}